"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _NativeServiceFactory = _interopRequireDefault(require("./NativeServiceFactory"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var NativeService =
/** @class */
function () {
  function NativeService() {}

  NativeService.prototype.onMessage = function (e, config) {
    if (!this.webview) {
      return;
    }

    var data = JSON.parse(e.nativeEvent.data);

    if (!data.eventName) {
      return;
    }

    var service = _NativeServiceFactory["default"].create(data, this.webview);

    if (service) {
      service.execute(data, config);
    }
  };

  return NativeService;
}();

var _default = NativeService;
exports["default"] = _default;