var NativeServiceFactory = /** @class */ (function () {
    function NativeServiceFactory() {
    }
    NativeServiceFactory.register = function (name, service) {
        NativeServiceFactory.events[name] = service;
    };
    NativeServiceFactory.create = function (data, webview) {
        if (!data.eventName || !NativeServiceFactory.events[data.eventName]) {
            return;
        }
        return new NativeServiceFactory.events[data.eventName](webview);
    };
    NativeServiceFactory.events = {};
    return NativeServiceFactory;
}());
export default NativeServiceFactory;
