import { RestaurantConfig, NativeWebView } from '../types';
export default abstract class BaseService {
    protected webview: NativeWebView;
    constructor(webview: NativeWebView);
    abstract execute(data: any, config: RestaurantConfig): Promise<void>;
    send(data: any): void;
}
