"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var __rest = void 0 && (void 0).__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};

var BaseService =
/** @class */
function () {
  function BaseService(webview) {
    this.webview = webview;
  }

  BaseService.prototype.send = function (data) {
    if (data) {
      var eventName = data.eventName,
          rest = __rest(data, ["eventName"]);

      var jsCall = "\n        receivedMessageFromReactNative({eventName: \"" + eventName + "\", value: " + JSON.stringify(rest) + "});\n        true;\n      ";
      this.webview.injectJavaScript(jsCall);
    }
  };

  return BaseService;
}();

var _default = BaseService;
exports["default"] = _default;