"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.generateRestaurantURL = generateRestaurantURL;

var _version = _interopRequireDefault(require("./version"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function generateRestaurantURL(_a) {
  var apiKey = _a.apiKey,
      culture = _a.culture,
      isMarketplace = _a.isMarketplace;
  var action = isMarketplace ? 'marketplace' : 'integration';
  return "https://order.ueat.io/" + action + "/" + apiKey + "/" + culture + "?mobileapp&version=" + _version["default"];
}