import NativeServiceFactory from './NativeServiceFactory';
var NativeService = /** @class */ (function () {
    function NativeService() {
    }
    NativeService.prototype.onMessage = function (e, config) {
        if (!this.webview) {
            return;
        }
        var data = JSON.parse(e.nativeEvent.data);
        if (!data.eventName) {
            return;
        }
        var service = NativeServiceFactory.create(data, this.webview);
        if (service) {
            service.execute(data, config);
        }
    };
    return NativeService;
}());
export default NativeService;
